/***************************************************************************
 *   Copyright (C) 2005 by TAM(Teppei Tamra)                               *
 *   tam-t@par.odn.ne.jp                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "predictor.h"

Predictor::Predictor(ConfigPointer cfg) : HonokaPluginBase(String("Predictor"))
{
}


Predictor::~Predictor()
{
}




/*!
    \fn Predictor::getPredictionList(const WideString &str)
 */
ResultList Predictor::getPredictionList(const WideString &str)
{
    return ResultList();
}


/*!
    \fn Predictor::disconnect()
 */
void Predictor::disconnect()
{
    return;
}


/*!
    \fn Predictor::connect()
 */
bool Predictor::connect()
{
    return false;
}


/*!
    \fn Predictor::isConnected()
 */
bool Predictor::isConnected()
{
    return false;
}


/*!
    \fn Predictor::getPropertyName()
 */
String Predictor::getPropertyName()
{
    return getName();
}

/*!
    \fn Predictor::getName()
 */
String Predictor::getName()
{
    return String("Predicter");
}



/*!
    \fn Predictor::update(const WideString str,const WideString yomi)
 */
void Predictor::update(const WideString str,const WideString yomi)
{
    return;
}
